#!/usr/bin/perl

use strict;


#
# do it all
#
&expand_tag_file();


#
# SUBROUTINES
#

sub expand_tag_file {

	open (TAG, "<hoops_3dgs_hic.tag");
	open (NEW, ">new.tag");

	my $line;

	while ( $line = <TAG> ) {

		if ($line =~ /^\s+?<member\skind=\"function\">/ ) {

			my $block = $line;
			
			while (! ($line =~ /^\s+?<\/member>/) ) {

				# print $line;
				$line = <TAG>;
				$block = $block.$line;
			}

			# print NEW $block;
			$block =~ s/<name>/<name>HIC_/g;
			print NEW $block;

		} else {
			print NEW $line;
		}

	}
	
	close (TAG);
	close (NEW);
	
	system "rm -f hoops_3dgs_hic.tag";
	system "mv new.tag hoops_3dgs_hic.tag";
	system "cvs commit -m\"auto update\" hoops_3dgs_hic.tag";
}
